[Scipy-tickets] [SciPy] #1853: test_arpack.test_symmetric_modes failures on x86_64 Linux

SciPy Trac scipy-tickets@scipy....
Fri Mar 29 15:44:20 CDT 2013


#1853: test_arpack.test_symmetric_modes failures on x86_64 Linux
---------------------------------+------------------------------------------
 Reporter:  zyv                  |       Owner:  jakevdp    
     Type:  defect               |      Status:  new        
 Priority:  normal               |   Milestone:  Unscheduled
Component:  scipy.sparse.linalg  |     Version:  0.11.0     
 Keywords:                       |  
---------------------------------+------------------------------------------

Comment(by JDWarner):

 I can reproduce on Scientific Linux 6.2:


 {{{
 $ python -c 'import numpy.distutils.__config__ as npc; npc.show()'
 blas_info:
     libraries = ['blas']
     library_dirs = ['/usr/lib64']
     language = f77
 lapack_info:
     libraries = ['lapack']
     library_dirs = ['/usr/lib64']
     language = f77
 atlas_threads_info:
   NOT AVAILABLE
 blas_opt_info:
     libraries = ['blas']
     library_dirs = ['/usr/lib64']
     language = f77
     define_macros = [('NO_ATLAS_INFO', 1)]
 atlas_blas_threads_info:
   NOT AVAILABLE
 lapack_opt_info:
     libraries = ['lapack', 'blas']
     library_dirs = ['/usr/lib64']
     language = f77
     define_macros = [('NO_ATLAS_INFO', 1)]
 atlas_info:
   NOT AVAILABLE
 lapack_mkl_info:
   NOT AVAILABLE
 blas_mkl_info:
   NOT AVAILABLE
 atlas_blas_info:
   NOT AVAILABLE
 mkl_info:
   NOT AVAILABLE
 }}}

 {{{
 python
 Python 2.6.6 (r266:84292, Jun 18 2012, 09:57:06)
 [GCC 4.4.6 20110731 (Red Hat 4.4.6-3)] on linux2
 }}}

 {{{
 $ python -c 'import scipy; scipy.test()'
 Running unit tests for scipy
 NumPy version 1.6.1
 NumPy is installed in /usr/lib64/python2.6/site-packages/numpy
 SciPy version 0.11.0
 SciPy is installed in /usr/lib64/python2.6/site-packages/scipy
 Python version 2.6.6 (r266:84292, Jun 18 2012, 09:57:06) [GCC 4.4.6
 20110731 (Red Hat 4.4.6-3)]
 nose version 1.1.2
 ----------------------------------------------------------------------
 Ran 5483 tests in 76.646s

 FAILED (KNOWNFAIL=15, SKIP=24, failures=57)
 }}}

 NumPy test suite passes:

 {{{
 $ python -c 'import numpy; numpy.test()'
 Running unit tests for numpy
 NumPy version 1.6.1
 NumPy is installed in /usr/lib64/python2.6/site-packages/numpy
 Python version 2.6.6 (r266:84292, Jun 18 2012, 09:57:06) [GCC 4.4.6
 20110731 (Red Hat 4.4.6-3)]
 nose version 1.1.2
 ----------------------------------------------------------------------
 Ran 3533 tests in 18.271s

 OK (KNOWNFAIL=3, SKIP=1)
 }}}

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1853#comment:2>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list